Bug 902964 (CVE-2013-0212) - CVE-2013-0212 openstack-glance: Backend password leak in Glance error message
Summary: CVE-2013-0212 openstack-glance: Backend password leak in Glance error message
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0212
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 903032 903033
Blocks: 902968
TreeView+ depends on / blocked
 
Reported: 2013-01-22 20:03 UTC by Kurt Seifried
Modified: 2021-02-17 08:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 04:31:55 UTC


Attachments (Terms of Use)
essex-CVE-2013-0212.patch (3.00 KB, patch)
2013-01-22 20:05 UTC, Kurt Seifried
no flags Details | Diff
folsom-CVE-2013-0212.patch (3.50 KB, patch)
2013-01-22 20:06 UTC, Kurt Seifried
no flags Details | Diff
grizzly-CVE-2013-0212.patch (3.57 KB, patch)
2013-01-22 20:06 UTC, Kurt Seifried
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0209 0 normal SHIPPED_LIVE Important: openstack-glance security update 2013-01-31 02:04:41 UTC

Description Kurt Seifried 2013-01-22 20:03:03 UTC
Thierry Carrez (thierry@openstack.org) reports on behalf of the OpenStack Project:

Title: Backend password leak in Glance error message
Reporter: Dan Prince (Red Hat)
Products: Glance
Affects: All versions

Dan Prince of Red Hat discovered an issue in Glance error reporting. By
creating an image in Glance by URL that references a mis-configured
Swift endpoint, or if the Swift endpoint that a previously-ACTIVE image
references for any reason becomes unusable, an authenticated user may
access the Glance operator's Swift credentials for that endpoint. Only
setups that use the single-tenant Swift store are affected.

Proposed patches:
See attached patches for current development tree (Grizzly) and the
Folsom and Essex series. Unless a flaw is discovered in them, these
proposed patches will be merged to Glance master, stable/folsom and
stable/essex branches on the public disclosure date.

Comment 1 Kurt Seifried 2013-01-22 20:05:56 UTC
Created attachment 685412 [details]
essex-CVE-2013-0212.patch

Comment 2 Kurt Seifried 2013-01-22 20:06:13 UTC
Created attachment 685413 [details]
folsom-CVE-2013-0212.patch

Comment 3 Kurt Seifried 2013-01-22 20:06:31 UTC
Created attachment 685414 [details]
grizzly-CVE-2013-0212.patch

Comment 7 Murray McAllister 2013-01-29 06:16:03 UTC
Acknowledgements:

This issue was discovered by Dan Prince of Red Hat.

Comment 8 Kurt Seifried 2013-01-29 18:24:42 UTC
This is now public: https://bugs.launchpad.net/glance/+bug/1098962

Comment 9 errata-xmlrpc 2013-01-30 21:06:05 UTC
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0209 https://rhn.redhat.com/errata/RHSA-2013-0209.html

Comment 10 Fedora Update System 2013-02-14 02:30:55 UTC
openstack-glance-2012.2.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.